Bug 9556 - Changing patron category does not fully update patron messaging preferences
Summary: Changing patron category does not fully update patron messaging preferences
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on: 9529
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-06 15:46 UTC by Galen Charlton
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
bug 9556: fix setting messaging prefs when changing patron category (2.36 KB, patch)
2013-02-06 16:09 UTC, Galen Charlton
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9556: fix setting messaging prefs when changing patron category (2.47 KB, patch)
2013-02-06 16:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9556: fix setting messaging prefs when changing patron category (2.49 KB, patch)
2013-02-07 12:49 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2013-02-06 15:46:02 UTC
If EnhancedMessagingPreferences is enabled, changing the patron category in the patron editor should change the messaging preferences that are assigned to the category defaults.  However, this works only incompletely; numeric drop-downs are changed, but checkboxes are not.

This is a result of one of the patches for bug 5462, which changed some HTML IDs without also updating the JavaScript that uses them.
Comment 1 Galen Charlton 2013-02-06 16:09:12 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2013-02-06 16:09:42 UTC
Testing note: this patch assumes that the patch for bug 9529 is applied.
Comment 3 Owen Leonard 2013-02-06 16:20:47 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-02-07 12:49:17 UTC
QA comment:
This patch fixes the described issue. Simple patch.
Marked as Passed QA.
Comment 5 Jonathan Druart 2013-02-07 12:49:47 UTC
Created attachment 15134 [details] [review]
Bug 9556: fix setting messaging prefs when changing patron category

As a result of accumulated changes to field names returned
by the members/default_messageprefs.pl service, the JavaScript
to change the patron messaging preferences to the category default
when changing a patron's category in the patron editor stopped
working.

To test:

[1] Turn on the EnhancedMessagingPreferences feature.
[2] Set message preference defaults for at least two
    patron categories.
[3] Before applying the patch, create a new patron record
    using one of the categories you set prefs for, then
    change the category, then change it back again.  You
    will see that numeric settings like the number of days
    for advanced notices will change, but checkboxes won't change.
[4] Apply the patch, then create a new patron record and
    try changing the patron category.  You will see that all of
    the preferences will get updated to the category default
    each time you change the category.

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-02-07 13:37:37 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-04-24 08:22:10 UTC
Pushed to 3.10.x will be in 3.10.6